﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CNAS_DBSync
{
    /// <summary>
    /// 数据源类型
    /// </summary>
    public enum DataSourceType
    {
        None,
        Access,
        Excel,
        SQLLite,
        SQL
    }

    /// <summary>
    /// 仪表数据源类
    /// </summary>
    public class InstrumentDataSourceInfo
    {
        /// <summary>
        /// 仪表数据源类型
        /// </summary>
        public DataSourceType InstrumentDataSourceType { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>
        public string UserId { get; set; }

        /// <summary>
        /// 用户密码
        /// </summary>
        public string UserPwd { get; set; }

        /// <summary>
        /// 数据源本地路径（只有数据源是本地文件时不为空）
        /// </summary>
        public string LocalPath { get; set; }
    }
}
