﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CNAS_DBSync
{
    /// <summary>
    /// 仪表类
    /// </summary>
    public class SyncInstrumentItemInfo
    {
        /// <summary>
        /// 标识
        /// </summary>
        public string GUID { get; set; }

        /// <summary>
        /// 仪表编号（库内唯一）
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 仪表同步数据源
        /// </summary>
        public InstrumentDataSourceInfo SyncInstrumentDSInfo { get; set; }

        /// <summary>
        /// 仪表同步目标数据库
        /// </summary>
        public DataBaseInfo SyncTargetDBInfo { get; set; }

        /// <summary>
        /// 映射字段集合
        /// </summary>
        public List<SyncParamasInfo> LstSyncPramas { get; set; }
    }
}
